<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
?>
<style>
.discount {
    position: absolute;
    margin-left: 30px;
    margin-top: -25px;
    border: 2px solid #f15a21;
    border-radius: 100px 0 0 100px;
    padding: 2px;
    width: 50px;
    height: 23.5px;
}
.discount p {
    background: #f15a21;
    border-radius: 100px 0 0 100px;
    text-align: center;
    line-height: 0!important;
    font-size: .9em!important;
    padding: 7px;
}
.discount span {
    color: #fff;
    font-size: 11px;
    text-align: center;
    display: inline-block;
    font-weight: 700;
}
</style>
<link href="css/mystyle.css" type="text/css" rel="stylesheet"/>
<script type="text/javascript" src="js/jquery.watermark.js"></script>
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Gửi thư & vật phẩm.</h4>
          <button type="button" class="close" data-dismiss="modal">×</button>
        </div>
   
        <!-- Modal body -->
        <div class="modal-body">
		    <label>Chọn máy chủ</label>
		    <div class="form-group pass_show"> 
               <select id="list_sv" class="form-control" onChange="reloadnv();">
			   <option value="-1">=== Chọn Máy Chủ ===</option>
			    <?php
				$getMayChu = mysqli_query($conn, "Select * From config_server");
				while($row = mysqli_fetch_array($getMayChu, MYSQLI_ASSOC)){
					echo '<option value=\''.$row['ServerID'].'\'>'.$row['ServerName'].'</option>';
				}
				?>
			   </select>
            </div> 
		    <label>Chọn nhân vật</label>
		    <div class="form-group pass_show"> 
               <select id="list_char" class="form-control">
			   </select>
            </div> 
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="messager_mail" class="form-control" placeholder="Nội dung thư" > 
            </div>			
<center>
          <button type="button" class="btn btn-danger" onClick="if ($('#id1').css('display') == 'none') { $('#id1').show() } else { $('#id1').hide() }">Gửi Dạng List</button>
          <button type="button" class="btn btn-success" onClick="if ($('#id2').css('display') == 'none') { $('#id2').show() } else { $('#id2').hide() }">Gửi Dạng Đơn</button>
		  </center>
			<div id="id1" style="display:none">
			<font color="red">========> Gửi vật phẩm</font> <br />
		       <label>Tìm vật phẩm</label>			
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="itemid_info" class="form-control" placeholder="ID vật phẩm hoặc tên vật phẩm" style="width:350px"> 
				<input type="submit" class="btn btn-success btn-block" value="Thêm" onClick="addItem();" style="width:80px;float:right;margin-top:-37px"/>
            </div>
			<span id="searchresultdata">
			<select class="form-control" id="list_itemseacher">
			<?php 
			$_get_item = mysqli_query($conn, "Select * From Item_Goods");
			if(mysqli_num_rows($_get_item)){
				while($row = mysqli_fetch_array($_get_item, MYSQLI_ASSOC)){
					echo '<option value="'.$row['EventID'].'">'.$row['Name'].'</option>';
				}
			}
			?>
			</select>
			</span>
			<br />
<center>
<table border="1px">
        <tr>
			<td style="width:80px;height:80px;text-align: center;">
						<div class="discount" id="btn-xoa-0" onClick="xoaitem('0');" style="display:none">
                <p><span>Xóa</span></p>
            </div>
			<div id="item_0"><font color="blue">Chưa có</font></span></div>
			</td>
            <td style="width:80px;height:80px;text-align: center;">
			<div class="discount"  id="btn-xoa-1" onClick="xoaitem('1');" style="display:none">
                <p><span>Xóa</span></p>
            </div>
			<div id="item_1"><font color="blue">Chưa có</font></span></div>
			</td>
            <td style="width:80px;height:80px;text-align: center;">
						<div class="discount"  id="btn-xoa-2" onClick="xoaitem('2');" style="display:none">
                <p><span>Xóa</span></p>
            </div>
			<div id="item_2"><font color="blue">Chưa có</font></span></div>
			</td>
            <td style="width:80px;height:80px;text-align: center;">
						<div class="discount" id="btn-xoa-3" onClick="xoaitem('3');" style="display:none">
                <p><span>Xóa</span></p>
            </div>
			<div id="item_3"><font color="blue">Chưa có</font></span></div>
			</td>
            <td style="width:80px;height:80px;text-align: center;">
						<div class="discount" id="btn-xoa-4" onClick="xoaitem('4');" style="display:none">
                <p><span>Xóa</span></p>
            </div>
			<div id="item_4"><font color="blue">Chưa có</font></span></div>
			</td>			
        </tr>
    </table>
</center>			
			<br />
		       <label>Tùy chọn Gửi thêm</label>			
            <div class="form-group pass_show"> 
			<select class="form-control" id="guikhac">
            <option value=''>Lựa Chọn</option>
            <option value='Gold'>Vàng</option>
            <option value='Coin'>Bạc</option>
            <option value='VipExp'>Vip EXP</option>
			<option value='Exp'>EXP</option>
			<option value='Honor'>Vinh Dự</option>
			<option value='Renown'>Danh Vọng</option>
			<option value='Contrib'>Cống Hiến</option>
			<option value='SilverBoard'>Ngân sức</option>
			<option value='DarkSteel'>Trượng Nghĩa Thần Thạch</option>
			</select>
            </div>			
		       <label>Số lượng</label>			
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="count_sendkhac" class="form-control" placeholder="Nhập số lượng"> 
            </div>					
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" onClick="saveInfo();">Gửi ngay</button>
        </div>
<input type="text" id="o_0" value="" style="width:0px;height:0px"/>
<input type="text" id="o_1" value="" style="width:0px;height:0px" />
<input type="text" id="o_2" value="" style="width:0px;height:0px" />
<input type="text" id="o_3" value="" style="width:0px;height:0px" />
<input type="text" id="o_4" value="" style="width:0px;height:0px" />		
		</div>
			<div id="id2" style="display:none">
			<font color="red">Gửi Dạng List</font> <br />
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="item_list" class="form-control" placeholder="item,2804,1|Gold,50000"> 
            </div>			
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" onClick="saveInfoList();">Gửi ngay</button>
        </div>	
		</div>		
		</div>
		        </div>
<script type="text/javascript">
function xoaitem(o){
	$('#btn-xoa-'+o).hide();
	$('#o_'+o).val("");
	$('#item_'+o).html('<font color="blue">Chưa thêm</font>');
}
function addItem(){
	if($('#searchresultdata').find(":selected").val() == "" || $('#searchresultdata').find(":selected").val() == null || $('#searchresultdata').find(":selected").val() <= 0){
	alert('Vui lòng chọn vật phẩm để thêm vào.');
	} else {
	if($('#o_0').val() == ""){
		$('#item_0').html('<font color="red"><img src="images/v_ok.png" style="width:30px" title="'+$('#searchresultdata').find(":selected").text()+'"/><Br/><center><input type="text" id="sl_0" value="1" class="form-control" style=" width: 100px; height: 20px; " maxlength="10"></center></font>');
		$('#o_0').val($('#searchresultdata').find(":selected").val());
		$('#btn-xoa-0').show();
		return false;
	} else if($('#o_1').val() == ""){
		$('#item_1').html('<font color="red"><img src="images/v_ok.png" style="width:30px" title="'+$('#searchresultdata').find(":selected").text()+'"/><center><input type="text" id="sl_1" value="1" class="form-control" style=" width: 100px; height: 20px; " maxlength="10"></center></font>');
		$('#o_1').val($('#searchresultdata').find(":selected").val());
		$('#btn-xoa-1').show();		
		return false;		
	}else if($('#o_2').val() == ""){
		$('#item_2').html('<font color="red"><img src="images/v_ok.png" style="width:30px" title="'+$('#searchresultdata').find(":selected").text()+'"/><center><input type="text" id="sl_2" value="1" class="form-control" style=" width: 100px; height: 20px; " maxlength="10"></center></font>');
		$('#o_2').val($('#searchresultdata').find(":selected").val());
		$('#btn-xoa-2').show();		
		return false;		
	}else if($('#o_3').val() == ""){
		$('#item_3').html('<font color="red"><img src="images/v_ok.png" style="width:30px" title="'+$('#searchresultdata').find(":selected").text()+'"/><center><input type="text" id="sl_3" value="1" class="form-control" style=" width: 100px; height: 20px; " maxlength="10"></center></font>');
		$('#o_3').val($('#searchresultdata').find(":selected").val());
		$('#btn-xoa-3').show();
		return false;		
	}else if($('#o_4').val() == ""){
		$('#item_4').html('<font color="red"><img src="images/v_ok.png" style="width:30px" title="'+$('#searchresultdata').find(":selected").text()+'"/><center><input type="text" id="sl_4" value="1" class="form-control" style=" width: 100px; height: 20px; " maxlength="10"></center></font>');
		$('#o_4').val($('#searchresultdata').find(":selected").val());
		$('#btn-xoa-4').show();
		return false;		
	} else {
		alert('Không còn chỗ nào nữa cả.');
	}
	}
}
function saveInfoList(){
			if($('#item_list').val() == ""){
			alert('Vui lòng nhập list vật phẩm cần gửi.');
			return false;				
			}
					$.post('ajax_sendmailist.php', 
			{   user:'<?=$_POST['user']?>',
				sv:$('#list_sv').val(),
				namenew:$('#list_char').val(),
				messager_mail:$('#messager_mail').val(),
				list:$('#item_list').val() }, function(data){
		if(data['type'] == 0){
                Lobibox.notify('success', {
                    size: 'mini',
                    msg: data['text']
                });				
		} else {
                Lobibox.notify('error', {
                    size: 'mini',
                    msg: data['text']
                });				
		}
	},'json');
}
function saveInfo(){
		 if($('#o_0').val() == "" && $('#o_1').val() == "" && $('#o_2').val() == "" && $('#o_3').val() == "" && $('#o_4').val() == "" && $('#guikhac').val() == ""){
			alert('Vui lòng chọn 1 thứ gì đó cần gửi');
			return false;
			} else {
			if($('#guikhac').val()){
				if($('#count_sendkhac').val() <= 0){
			alert('Số lượng không phù hợp');
			return false;				
				}	
			}
			if($('#sl_0').val() == 0 || $('#sl_1').val() == 0 || $('#sl_2').val() == 0 || $('#sl_3').val() == 0 || $('#sl_4').val() == 0){
				alert('Số lượng không phù hợp.');
				return false;
			}
					$.post('ajax_sendmail.php', 
			{   user:'<?=$_POST['user']?>',
				sv:$('#list_sv').val(),
				namenew:$('#list_char').val(),
				sl_0:$('#sl_0').val(),
				sl_1:$('#sl_1').val(),
				sl_2:$('#sl_2').val(),
				sl_3:$('#sl_3').val(),
				sl_4:$('#sl_4').val(),
				item_1:$('#o_0').val(),
				item_2:$('#o_1').val(),
				item_3:$('#o_2').val(),
				item_4:$('#o_3').val(),
				item_5:$('#o_4').val(),
				number:$('#guikhac').val(),
				messager_mail:$('#messager_mail').val(),
				count:$('#count_sendkhac').val() }, function(data){
		if(data['type'] == 0){
                Lobibox.notify('success', {
                    size: 'mini',
                    msg: data['text']
                });				
		} else {
                Lobibox.notify('error', {
                    size: 'mini',
                    msg: data['text']
                });				
		}
	},'json');
}
}
$(document).ready(function() {
$("#itemid_info").watermark("Nhập Thứ cần tìm");	// Watermart cho khung nhập
$("#itemid_info").keyup(function()
{
	var itemid_info = $(this).val();   		// Lấy giá trị search của người dùng
	var dataString = 'keyword='+ itemid_info;	// Lấy giá trị làm tham số đầu vào cho file ajax-search.php
	if(itemid_info.length>=2)					// Kiểm tra giá trị người nhập có > 3 ký tự hay ko
	{
		$.ajax({
			type: "GET",      						// Phương thức gọi là GET
			url: "ajax-search.php",  				// File xử lý
			data: dataString,						// Dữ liệu truyền vào
			beforeSend:  function() {				// add class "loading" cho khung nhập
				$('input#itemid_info').addClass('loading');
			},
			success: function(server_response)		// Khi xử lý thành công sẽ chạy hàm này
			{
				$('#searchresultdata').html(server_response).show();  	// Hiển thị dữ liệu vào thẻ div #searchresultdata
				
				if ($('input#itemid_info').hasClass("loading")) {		// Kiểm tra class "loading"
					$("input#itemid_info").removeClass("loading");		// Remove class "loading"
				} 
			}
		});
	}return false;		// Không chuyển trang
});
});
function reloadnv(){
	if($('#list_sv').val() != "-1"){
		$.post('ajax_getnv.php', {sv:$('#list_sv').val(),user:'<?=$_POST['user']?>'}, function(data){
			$('#list_char').html(data);
		});
	}
}
</script>
		   